## hostname 3.16ubuntu2

=== debian/changelog ===
hostname (3.16ubuntu2) xenial; urgency=medium

  * Drop obsolete and no-op dh_installinit --upstart-only option.
    (LP: #1519228)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 24 Nov 2015 09:43:42 +0100

hostname (3.16ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Provide compatibility hostname.sh upstart job, for startpar
    integration with insserv.
    - Install Upstart job to set hostname on startup, but do not run it in
      postinst.
    - Build-depend on newer debhelper for Upstart-aware dh_installinit.
    - Don't compare versions during the build to avoid the package FTBFS

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Nov 2015 14:33:41 +0000

hostname (3.15ubuntu2) utopic; urgency=medium

  * Provide compatibility hostname.sh upstart job, for startpar
    integration with insserv.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 21 May 2014 16:00:49 +0100

=== debian/control ===
Source: hostname
Section: admin
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7.4.20ubuntu1)

Package: hostname
Architecture: any
Essential: yes
Replaces: nis (<< 3.17-30)
Breaks: nis (<< 3.17-30)
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to set/show the host name or domain name
 This package provides commands which can be used to display the system's
 DNS name, and to display or set its hostname or NIS domain name.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
	CROSS=
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	# Building package
	[ "$(DEBVERSION)" = "$(PRGVERSION)" ] || exit 1
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) $(CROSS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname $(CROSS)

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installinit --no-start --name hostname
	dh_installinit --no-start --name hostname.sh
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hostname 3.18

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Installing package
@@ -59,8 +59,6 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_install
-	dh_installinit --no-start --name hostname
-	dh_installinit --no-start --name hostname.sh
 	dh_strip
 	dh_compress
 	dh_fixperms

## hostname 3.20

=== Makefile ===
CFLAGS+=-O2 -Wall -D_GNU_SOURCE

# uncomment the following line if you want to install to a different base dir.
#BASEDIR=/mnt/test

BINDIR:=/bin
MANDIR:=/usr/share/man

OBJS=hostname.o

hostname: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -fs hostname dnsdomainname
	ln -fs hostname domainname
	ln -fs hostname ypdomainname
	ln -fs hostname nisdomainname

install: hostname
	install -d ${BASEDIR}$(MANDIR)/man1
	install -o root -g root -m 0644 hostname.1 ${BASEDIR}$(MANDIR)/man1
	ln -fs hostname.1 ${BASEDIR}$(MANDIR)/man1/dnsdomainname.1
	ln -fs hostname.1 ${BASEDIR}$(MANDIR)/man1/domainname.1
	ln -fs hostname.1 ${BASEDIR}$(MANDIR)/man1/ypdomainname.1
	ln -fs hostname.1 ${BASEDIR}$(MANDIR)/man1/nisdomainname.1

	install -d ${BASEDIR}$(BINDIR)
	install -o root -g root -m 0755 hostname ${BASEDIR}$(BINDIR)
	ln -fs hostname ${BASEDIR}$(BINDIR)/dnsdomainname
	ln -fs hostname ${BASEDIR}$(BINDIR)/domainname
	ln -fs hostname ${BASEDIR}$(BINDIR)/nisdomainname
	ln -fs hostname ${BASEDIR}$(BINDIR)/ypdomainname

clean:
	-rm -f $(OBJS) hostname dnsdomainname domainname nisdomainname ypdomainname

.PHONY: clean install

=== debian/changelog ===
hostname (3.20) unstable; urgency=medium

  * Removed old alioth list from maintainers field.

 -- Michael Meskes <meskes@debian.org>  Wed, 31 Jan 2018 13:08:15 +0100

hostname (3.19) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Switched to debhelper 11
  * Fix lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Tue, 30 Jan 2018 11:34:44 +0100

hostname (3.18) unstable; urgency=medium

  * Make sure memory is initialized to zero before attempting to read hostname.
    Thanks to Marko Dimjašević <marko@cs.utah.edu> (Closes: #829010)
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Updated to debhelper 9.

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Jul 2016 21:26:17 +0200

hostname (3.17) unstable; urgency=medium

  * Applied patch by Szabolcs Nagy <nsz@port70.net> (Ccloses: #787780) to:
    * Use _GNU_SOURCE feature test macro, instead of glibc internal __USE_GNU.
    * Use getdomainname instead of yp_get_default_domain because it is more
      widely available and avoids the -lnsl dependency.
    * localnisdomain is kept, even though it should be the same as localdomain,
      so the behaviour is not changed in case of an error.
  * Replace 'dh-clean -k' with 'dh-prep'

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Feb 2016 13:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hostname Team <hostname-devel@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.4.20ubuntu1)
+Maintainer: Michael Meskes <meskes@debian.org>
+Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 11)
 
 Package: hostname
 Architecture: any

## hostname 3.21

=== debian/changelog ===
hostname (3.21) unstable; urgency=medium

  * Minor fixes to the manpage.
    Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> (Closes: #900857)
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Sep 2018 10:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: required
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1.1
 Build-Depends: debhelper (>= 11)
 
 Package: hostname

## hostname 3.21co2+apertispro0

=== debian/changelog ===
hostname (3.21co2+apertispro0) apertis; urgency=medium

  * Correct apertis pro version

 -- Apertis CI <devel@lists.apertis.org>  Tue, 24 Aug 2021 09:15:20 +0000

hostname (3.21co2apertispro0) apertis; urgency=medium

  * Sync from apertis/v2021.

 -- Apertis CI <devel@lists.apertis.org>  Sun, 09 May 2021 02:43:47 +0000

hostname (3.21co2) apertis; urgency=medium

  [ Ritesh Raj Sarraf ]
  * debian/apertis/component: Set to target

 -- Emanuele Aina <emanuele.aina@collabora.com>  Tue, 16 Feb 2021 22:02:07 +0000

hostname (3.21co1) apertis; urgency=medium

  * Drop version check in build recipe. Builds done downstream add their
    own version string

 -- Ritesh Raj Sarraf <ritesh.sarraf@collabora.com>  Mon, 14 Jan 2019 20:39:17 +0530

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEBVERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
+include /usr/share/dpkg/pkg-info.mk
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CFLAGS = `dpkg-buildflags --get CFLAGS`
 CFLAGS += -Wall
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
@@ -27,7 +28,6 @@
 	dh_testdir
 
 	# Building package
-	[ "$(DEBVERSION)" = "$(PRGVERSION)" ] || exit 1
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) $(CROSS)
 
 	touch build-stamp

## hostname 3.22

=== debian/changelog ===
hostname (3.22) unstable; urgency=medium

  * Made build process robust against binNMUs. (Closes: #935277)
  * Bumped Standards-Version, no changes needed.
  * Bumped debhelper version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2019 19:05:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: required
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 4.2.1.1
-Build-Depends: debhelper (>= 11)
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12)
 
 Package: hostname
 Architecture: any

## hostname 3.23

=== debian/changelog ===
hostname (3.23) unstable; urgency=medium

  * Increase buffer size for all FQDNs to NI_MAXHOST as suggested by manpage.
    (Closes: #942311)
  * Use the same size for getdomainname().
  * Bumped Standards-Version, no changes needed.
  * Removed debian/compat file as suggested by lintian.

 -- Michael Meskes <meskes@debian.org>  Thu, 07 Nov 2019 12:31:36 +0100

## hostname 3.23ubuntu1

=== debian/changelog ===
hostname (3.23ubuntu1) impish; urgency=medium

  * Fix version check for buildN and ubuntuN versions.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 17:02:24 +0200

## hostname 3.23ubuntu2

=== debian/changelog ===
hostname (3.23ubuntu2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: required
 Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12)
 
 Package: hostname
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
+MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//;s/ubuntu.*$$//;s/build.*$$//')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CFLAGS = `dpkg-buildflags --get CFLAGS`
@@ -28,6 +29,7 @@
 	dh_testdir
 
 	# Building package
+	[ "$(MYVERSION)" = "$(PRGVERSION)" ] || exit 1
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) $(CROSS)
 
 	touch build-stamp

## hostname 3.23%2Bnmu2ubuntu2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Michael Meskes <meskes@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12)

## hostname 3.23+nmu1

=== debian/changelog ===
hostname (3.23+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert d/copyright to machine-readable format. (Closes: #1013131)
  * Upgrade to 3.0 source format. (Closes: #1007059)

 -- Bastian Germann <bage@debian.org>  Mon, 19 Dec 2022 14:33:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
-MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//;s/ubuntu.*$$//;s/build.*$$//')
+MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CFLAGS = `dpkg-buildflags --get CFLAGS`

## hostname 3.23+nmu1ubuntu1

=== debian/changelog ===
hostname (3.23+nmu1ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Fix version check for buildN and ubuntuN versions.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 09 Feb 2023 19:20:06 -0600

## hostname 3.23+nmu2

=== debian/changelog ===
hostname (3.23+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install into /usr/bin instead of /bin. (Closes: #1056978)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2023 14:03:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	dh_installdirs
 
 	# Installing package
-	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname $(CROSS)
+	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname BINDIR=/usr/bin $(CROSS)
 
 binary-indep: build install

## hostname 3.23+nmu2ubuntu2

=== debian/changelog ===
hostname (3.23+nmu2ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:59:01 +0200

hostname (3.23+nmu2ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Fix version check for buildN and ubuntuN versions.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 12:37:57 -0600

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
-MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//')
+MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//;s/ubuntu.*$$//;s/build.*$$//')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CFLAGS = `dpkg-buildflags --get CFLAGS`

## hostname 3.23-p2171091

=== debian/changelog ===
hostname (3.23-p2171091) UNRELEASED; urgency=medium

  * BDK Release.

 -- BDK Developer <Sony>  Fri, 14 Jun 2024 15:03:53 +0900

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/pkg-info.mk
+DEB_VERSION := $(shell dpkg-parsechangelog | awk '/Version:/ { print substr($$2,1,4)}')
 PRGVERSION := $(shell awk '/define VERSION/ { print substr($$3,2,length($$3)-2)}' hostname.c)
-MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//;s/ubuntu.*$$//;s/build.*$$//')
+MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//')
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 CFLAGS = `dpkg-buildflags --get CFLAGS`
@@ -51,7 +52,7 @@
 	dh_installdirs
 
 	# Installing package
-	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname BINDIR=/usr/bin $(CROSS)
+	$(MAKE) install BASEDIR=$(CURDIR)/debian/hostname $(CROSS)
 
 binary-indep: build install

## hostname 3.25

=== Makefile ===
CFLAGS+=-O2 -Wall -D_GNU_SOURCE

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

prefix = /usr
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datarootdir = $(prefix)/share
mandir = $(datarootdir)/man

OBJS=hostname.o

hostname: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -fs hostname dnsdomainname
	ln -fs hostname domainname
	ln -fs hostname ypdomainname
	ln -fs hostname nisdomainname

install: hostname
	$(INSTALL) -d $(DESTDIR)$(mandir)/man1
	$(INSTALL_DATA) hostname.1 $(DESTDIR)$(mandir)/man1
	ln -fs hostname.1 $(DESTDIR)$(mandir)/man1/dnsdomainname.1
	ln -fs hostname.1 $(DESTDIR)$(mandir)/man1/domainname.1
	ln -fs hostname.1 $(DESTDIR)$(mandir)/man1/ypdomainname.1
	ln -fs hostname.1 $(DESTDIR)$(mandir)/man1/nisdomainname.1

	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) hostname $(DESTDIR)$(bindir)
	ln -fs hostname $(DESTDIR)$(bindir)/dnsdomainname
	ln -fs hostname $(DESTDIR)$(bindir)/domainname
	ln -fs hostname $(DESTDIR)$(bindir)/nisdomainname
	ln -fs hostname $(DESTDIR)$(bindir)/ypdomainname

clean:
	-rm -f $(OBJS) hostname dnsdomainname domainname nisdomainname ypdomainname

.PHONY: clean install

=== debian/changelog ===
hostname (3.25) unstable; urgency=medium

  * Removed old rule that moved file from /usr/bin to /bin. (Closes: #1056978)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Oct 2024 08:12:34 +0200

hostname (3.24) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Add VCS URLs (Closes: #1050091)
  * Makefile: Adopt GNU/debhelper conventions
  * d/rules: Simplify using debhelper 13 (Closes: #1050093)
  * d/rules: Extract program version using sed
  * d/control: Update standards version to 4.6.2, no changes needed
  * d/control: Specify Rules-Requires-Root: no

  [ binlingyu ]
  * Fix memory leak

  [ lingyu bin ]
  * Update .gitlab-ci.yml file

  [ Michael Meskes ]
  * Fixed VCS information
  * Enable build with ubuntu suffixes.
    Thanks to Matthias Klose <doko@ubuntu.com> (Closes: #995889)
  * Update standards version to 4.7.0, no changes needed
  * Release 3.24

 -- Michael Meskes <meskes@debian.org>  Wed, 09 Oct 2024 15:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: hostname
 Section: admin
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Meskes <meskes@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12)
+Maintainer: Michael Meskes <meskes@debian.org>
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13)
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/meskes/hostname
+Vcs-Git: https://salsa.debian.org/meskes/hostname.git
 
 Package: hostname
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
MYVERSION := $(shell echo '$(DEB_VERSION)' | sed -e 's/\+.*//;s/ubuntu.*$$//;s/build.*$$//')
PRGVERSION := $(shell sed -En '/^#define VERSION "(.*)"/ s//\1/p' hostname.c)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
CFLAGS += -Wall

%:
	dh $@

execute_before_dh_auto_build:
	[ "$(MYVERSION)" = "$(PRGVERSION)" ] || exit 1

## hostname 3.25build1

=== debian/changelog ===
hostname (3.25build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:11:28 +0100

## hostname 3.25+deepin1+rb1

=== debian/changelog ===
hostname (3.25+deepin1+rb1) unstable; urgency=medium

  * Removed old rule that moved file from /usr/bin to /bin. (Closes: #1056978)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Oct 2024 08:12:34 +0200
